﻿using Infragistics.Win;
using System.Drawing;
class DF : IUIElementDrawFilter
{
    public bool DrawElement(DrawPhase drawPhase, ref UIElementDrawParams drawParams)
    {
        drawParams.Element.Rect = drawParams.Element.Parent.Rect;
        if (((ExpansionIndicatorUIElement)drawParams.Element).IsOpen)
            drawParams.Graphics.DrawImage(Image.FromFile("..//..//Penguins.jpg"), drawParams.Element.Rect);
        else
            drawParams.Graphics.DrawImage(Image.FromFile("..//..//Koala.jpg"), drawParams.Element.Rect);
        return true;

    }

    public DrawPhase GetPhasesToFilter(ref UIElementDrawParams drawParams)
    {
        if (drawParams.Element is ExpansionIndicatorUIElement)
            return DrawPhase.BeforeDrawElement;

        return DrawPhase.None;
    }
}